Bug 835699 - [as7] Warnings When Loading Resource Configuration
[as7] Warnings When Loading Resource Configuration
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: JON 3.1.1
Assigned To: Armine Hovsepyan
Mike Foley
:
Depends On: 831369
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-06-26 16:58 EDT by Stefan Negrea
Modified: 2015-09-02 20:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 831369
Environment:
Last Closed: 2013-09-03 11:08:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
agent.log (71.87 KB, text/x-log)
2012-08-06 10:26 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Stefan Negrea 2012-06-26 16:58:50 EDT
+++ This bug was initially created as a clone of Bug #831369 +++

Description of problem:

Warnings are logged by the agent when loading resource configuration for all the AS7 plugin resources. Here is an example:

12:14:09,940 WARN  [ASConnection] Received 500 (Internal Server Error) response to Operation{operation='read-attribute', address=Address{path: subsystem=transactions,log-store=log-store}, additionalProperties={name=name}} - response body was [{"outcome" : "failed", "failure-description" : "JBAS014792: Unknown attribute name", "rolled-back" : true, "response-headers" : {"process-state" : "reload-required"}}].

The error is harmless. The error is due executing an extra operation to discover the server state (normal, reload required, restart required). The operation executed is :read-attribute with "name" as the name of the attribute. This operation will fail for any sub-resource that does not have "name" in the definition. While the operation fails, it still returns the correct server state. There are no side effects other than log entries.


How reproducible:
Every time

Steps to Reproduce:
1. Discover and import an AS7 server.
2. Select a resource that has configuration available and to the configuration tab.
3. Look in the agent logs and notice the above error.
  
Actual results:
Warning added to the agent log

Expected results:
No warnings in the agent log


Additional info:
The solution, instead of using :read-attribute operation to detect server state, use :whoami. This operation is present on all resources, does not require any attributes, and does return the server state.

--- Additional comment from snegrea@redhat.com on 2012-06-12 17:24:48 EDT ---

Updated the plugin to use :whoami to retrieve server state.
Comment 1 Stefan Negrea 2012-07-20 17:22:09 EDT
release/jon3.1.x branch commit:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=a851500532e8e3b2559ebaffe515e7b68ab57e88
Comment 2 John Sanda 2012-08-02 14:52:04 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 3 Armine Hovsepyan 2012-08-06 10:26:07 EDT
Created attachment 602528 [details]
agent.log

reopened.

the errors are still visible.
Comment 4 Stefan Negrea 2012-08-07 17:33:18 EDT
The log does not have any errors related to the name property. The log still contains typical discovery warnings because the server was started without some subsystems.


Please look again in the logs for errors of the following type:

12:14:09,940 WARN  [ASConnection] Received 500 (Internal Server Error) response to Operation{operation='read-attribute', address=Address{path: subsystem=transactions,log-store=log-store}, additionalProperties={name=name}} - response body was [{"outcome" : "failed", "failure-description" : "JBAS014792: Unknown attribute name", "rolled-back" : true, "response-headers" : {"process-state" : "reload-required"}}].


Note the additionalProperties={name=name} part and the error related to it being an unknown attribute.
Comment 5 Armine Hovsepyan 2012-08-08 04:59:48 EDT
verified.

No Internal Server error for read-attribute with name=name is visible in the logs.
Comment 6 Heiko W. Rupp 2013-09-03 11:08:09 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.